package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealPersonalDeleteRequest struct {
	User *common.UserInfoRequest `json:"user"`
	// <ext>core:true</ext> 【删除方式】删除方式 【作用】 1、当删除全部签名时，将删除指定用户的全部历史签名 2、当删除指定签名时，指定签名信息必填，将按照指定的结果取交集进行删除 【传参】 取值范围：ALL（删除全部签名），ASSIGN（删除指定签名）。
	Mode string                 `json:"mode"`
	Info *common.PersonSealInfo `json:"info,omitempty"`
}

func (obj SealPersonalDeleteRequest) GetUrl() string {
	return "/seal/personal/delete"
}

func (obj SealPersonalDeleteRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
